Bug 1792464 (GCC10)

Summary: Changes/GCC10
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Jakub Jelinek <jakub>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: bcotton, law, tmz
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-28 14:30:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1793887, 1793909, 1800945, 1793391, 1793394, 1793397, 1793403, 1793424, 1793470, 1793471, 1793473, 1793477, 1793493, 1793495, 1793499, 1793502, 1793506, 1793507, 1793521, 1793523, 1793558, 1793562, 1793614, 1793889, 1793903, 1793907, 1793912, 1793914, 1793916, 1794011, 1794065, 1794094, 1794285, 1794288, 1794289, 1794291, 1794292, 1794294, 1794295, 1794296, 1794297, 1794306, 1794335, 1794336, 1794368, 1794377, 1794395, 1794427, 1794440, 1794443, 1794446, 1794471, 1794476, 1794478, 1794480, 1794482, 1795575, 1795816, 1795817, 1795820, 1795940, 1795950, 1796025, 1796026, 1796046, 1796383, 1796384, 1796472, 1796482, 1796821, 1798565, 1798908, 1799408, 1799842, 1799980    
Bug Blocks:    

Description Ben Cotton 2020-01-17 16:52:43 UTC
This is a tracking bug for Change: Changes/GCC10
For more details, see: https://fedoraproject.org/wiki/Changes/GCC10

Switch GCC in Fedora 32 to 10.x.y, rebuild all packages with it, or optionally rebuild just some packages with it and rebuild all packages only in Fedora 33.

Comment 1 Ben Cotton 2020-02-11 18:13:50 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 2 Todd Zullinger 2020-02-12 01:41:44 UTC
With gcc-10, git builds without error but many of the resulting binaries segfault.  (There are a number of new warnings.)  This causes the build to fail its test suite.  This is bug #1799408.

Comment 3 Ben Cotton 2020-02-13 19:13:14 UTC
Setting to ON_QA for tracking purposes. GCC 10 was in the mass rebuild.

Comment 4 Ben Cotton 2020-04-28 14:30:24 UTC
Fedora 32 is released!